summaryrefslogtreecommitdiff
path: root/bg1
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-05-17 15:06:22 +0100
committerNick White <git@njw.me.uk>2009-05-17 15:06:22 +0100
commitb9ce5ef93fc814900f7adb6263a263e966d0499d (patch)
treee2da0d98959bf96382fe07a146dfd515be0f801e /bg1
parent32a0107f411a09c132090623b66e1af7b01b4bc1 (diff)
downloadgemrb-gameinstallers-b9ce5ef93fc814900f7adb6263a263e966d0499d.tar.bz2
gemrb-gameinstallers-b9ce5ef93fc814900f7adb6263a263e966d0499d.zip
Rearrange to remove arbitrary bg1/totsc division
Diffstat (limited to 'bg1')
-rwxr-xr-xbg1/install-1cd-totsc-uk.sh51
-rwxr-xr-xbg1/install-3cd-extra.sh39
-rwxr-xr-xbg1/install-3cd-minimal.sh55
-rwxr-xr-xbg1/install-patch-totsc-balderdash-text.sh42
-rwxr-xr-xbg1/install-patch-totsc-intl.sh37
-rwxr-xr-xbg1/install-patch-totsc-uk.sh37
-rwxr-xr-xbg1/install-patch-totsc-us.sh37
7 files changed, 298 insertions, 0 deletions
diff --git a/bg1/install-1cd-totsc-uk.sh b/bg1/install-1cd-totsc-uk.sh
new file mode 100755
index 0000000..9f2f582
--- /dev/null
+++ b/bg1/install-1cd-totsc-uk.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Tales of the Sword Coast (1CD UK version)
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $BG1_TOTSC_1CD_UK_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+
+cp $CDMOUNT/dialog.tlk "$TARGETDIR" || die
+
+mkdir -p "$TARGETDIR"/save || die
+
+cp -R "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/minimumdata
+
+cp -R "$TARGETDIR"/english/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/english
+
+cp -R "$CDMOUNT"/override/* "$TARGETDIR"/override/ || die
+
+mkdir -p "$TARGETDIR"/movies
+copylower "$CDMOUNT/cd6/" "$TARGETDIR"
+
+mkdir -p "$TARGETDIR"/mpsave
+cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/mpsave || die
+
+setperms "$TARGETDIR"
diff --git a/bg1/install-3cd-extra.sh b/bg1/install-3cd-extra.sh
new file mode 100755
index 0000000..fe31c32
--- /dev/null
+++ b/bg1/install-3cd-extra.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Extra Baldur's Gate (3CD version) content (so CDs aren't needed)
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+copylower "$CDMOUNT/cd1/" "$TARGETDIR"
+
+CD2_MD5="c04758a6af171bf9a35d8e3d4dcd807c"
+CD3_MD5="ba4224f50f890e10561d22f602d6a991"
+
+getcd 2 $CD2_MD5 CD2/Movies/MovieCD2.bif
+copylower "$CDMOUNT/cd2/" "$TARGETDIR"
+copylower "$CDMOUNT/cd5/" "$TARGETDIR"
+cp $CDMOUNT/Manual/Baldur.pdf "$TARGETDIR"/manual || die
+
+getcd 3 $CD3_MD5 CD3/Movies/MovieCD3.bif
+copylower "$CDMOUNT/cd3/" "$TARGETDIR"
+copylower "$CDMOUNT/cd4/" "$TARGETDIR"
+copylower "$CDMOUNT/cd6/" "$TARGETDIR"
+setperms "$TARGETDIR"
diff --git a/bg1/install-3cd-minimal.sh b/bg1/install-3cd-minimal.sh
new file mode 100755
index 0000000..57d9173
--- /dev/null
+++ b/bg1/install-3cd-minimal.sh
@@ -0,0 +1,55 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Baldur's Gate & Tales of the Sword Coast (3CD version) minimal
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $BG1_TOTSC_3CD_US_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+cp $CDMOUNT/dialog.tlk "$TARGETDIR" || die
+
+unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+
+cp -R "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/minimumdata
+
+cp -R "$TARGETDIR"/english_sounds/sounds/* "$TARGETDIR"/sounds/ || die
+rm -r "$TARGETDIR"/english_sounds
+
+cp -R "$TARGETDIR"/english/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/english
+
+mkdir -p "$TARGETDIR"/movies
+mkdir -p "$TARGETDIR"/manual
+
+mkdir -p "$TARGETDIR"/save
+cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/save || die
+
+cp $CDMOUNT/Manual/BGManual.pdf "$TARGETDIR"/manual/ || die
+cp $CDMOUNT/Manual/TotscManual.pdf "$TARGETDIR"/manual/ || die
+
+cp $CDMOUNT/baldur.ico "$TARGETDIR" || die
+
+setperms "$TARGETDIR"
diff --git a/bg1/install-patch-totsc-balderdash-text.sh b/bg1/install-patch-totsc-balderdash-text.sh
new file mode 100755
index 0000000..36e4304
--- /dev/null
+++ b/bg1/install-patch-totsc-balderdash-text.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# BG1 TOTSC Baldurdash text pack
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+if [ "$LANGUAGE" != "English" ]; then
+ echo "The Baldurdash text pack is only available in English"
+ diesoftly
+fi
+
+checkforbin unzip wget
+
+setuptmp
+
+getpatch http://www.baldurdash.org/LargeDownloads/BG1TOSCGameTextUpdate11.exe
+
+# unzip complains unnecessarily about skipping non-zip
+# part so don't print errors or die on failure
+unzip -L $TMPDIR/BG1TOSCGameTextUpdate11.exe -d $TMPDIR 2>/dev/null
+cp $TMPDIR/dialog.tlk "$TARGETDIR/" || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"
diff --git a/bg1/install-patch-totsc-intl.sh b/bg1/install-patch-totsc-intl.sh
new file mode 100755
index 0000000..19c2b15
--- /dev/null
+++ b/bg1/install-patch-totsc-intl.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# BG1 TOTSC official International patch
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract unshield wget
+
+setuptmp
+
+getpatch http://downloads.bioware.com/baldursgate1/BGTalesIntl5512.exe
+
+cabextract -L $TMPDIR/BGTalesIntl5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
+
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"
diff --git a/bg1/install-patch-totsc-uk.sh b/bg1/install-patch-totsc-uk.sh
new file mode 100755
index 0000000..09ea70c
--- /dev/null
+++ b/bg1/install-patch-totsc-uk.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# BG1 TOTSC official UK patch
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract unshield wget
+
+setuptmp
+
+getpatch http://downloads.bioware.com/baldursgate1/BGTalesUK5512.exe
+
+cabextract -L $TMPDIR/BGTalesUK5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
+
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"
diff --git a/bg1/install-patch-totsc-us.sh b/bg1/install-patch-totsc-us.sh
new file mode 100755
index 0000000..5939ac4
--- /dev/null
+++ b/bg1/install-patch-totsc-us.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# BG1 TOTSC official US/Canada patch
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract unshield wget
+
+setuptmp
+
+getpatch http://downloads.bioware.com/baldursgate1/BGTalesUS5512.exe
+
+cabextract -L $TMPDIR/BGTalesUS5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
+
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"